Support » Plugin: Easy FancyBox » parse error after update..

  • Resolved mrtvy.kenny

    (@mrtvykenny)


    Parse error: syntax error, unexpected '[' in ...wp-content/plugins/easy-fancybox/inc/class-easyfancybox-admin.php on line 21

    with the latest version (1.6.3)..

    changed this:
    public static function register_settings( $args = [] ) {
    to this to work:
    public static function register_settings( $args = array() ) {

    • This topic was modified 2 years, 11 months ago by mrtvy.kenny.
Viewing 7 replies - 1 through 7 (of 7 total)
  • Though my PHP version is 5.3.3, in the latest version 1.6.3 of Easy FancyBox, my server had occurred parse error, too.
    Thus I’ve corrected the PHP code in order to above. In the result, this parse error has fixed.
    mrtvy, thank you so much.
    I hope this problem will be solved in next version up soon.

    Plugin Author RavanH

    (@ravanh)

    Best to upgrade your PHP version. PHP 5.3 is no longer maintained (hasn’t been for a long time now) and even PHP 5.6 security updates will be dropped by the end of this year. WordPress recommends PHP 7.0 or higher.

    Had the same. My webhost upgraded from 5.3.29 to PHP 5.6.33 and now the problem is solved.

    It should be stated that if you’re on Enterprise Linux (RHEL 6, for example), PHP 5.3.3 is still receiving security updates. Any possibility of continuing to support older PHP?

    Plugin Author RavanH

    (@ravanh)

    Hi all, version 1.7 should be PHP downward compatible again. Please let me know if you run into issues still !

    Hello,
    Parse error: syntax error, unexpected T_STRING in /kunden/411733_85737/wordpress/wordpress/wp-content/plugins/maxbuttons/maxbuttons.php on line 14

    I never can repair the error, becauce no sign on is possible

    Kind regard,
    Roland

    Plugin Author RavanH

    (@ravanh)

    Hi @rboenke maxbuttons/maxbuttons.php that looks like another plugin. You may need to go to https://wordpress.org/support/plugin/maxbuttons/

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘parse error after update..’ is closed to new replies.